## com.baidubce.services.bos.model
Class CreateBucketRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bos.model.GenericBucketRequest
              com.baidubce.services.bos.model.CreateBucketRequest

    public class CreateBucketRequest

extends GenericBucketRequest

Provides options for creating an Baidu Bos bucket.

Constructor Summary
`CreateBucketRequest(String bucketName)` Constructs a new `CreateBucketRequest`,ready to be executed to create the specified bucket.

Method Summary
`CreateBucketRequest` `withBucketName(String bucketName)`
`CreateBucketRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.services.bos.model.GenericBucketRequest
`getBucketName, setBucketName`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateBucketRequest

    public CreateBucketRequest(String bucketName)

  Constructs a new `CreateBucketRequest`,ready to be executed to create the specified bucket.

  Parameters:
    `bucketName` - The name of the Baidu Bos bucket to create.

Method Detail

### withRequestCredentials

    public CreateBucketRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### withBucketName

    public CreateBucketRequest withBucketName(String bucketName)

  Specified by:
    `withBucketName` in class `GenericBucketRequest`

Copyright © 2016. All rights reserved.